option(USE_NLS "Enable Native Language Support (using gettext)." ON)
option(USE_COLORD "Enable colord support." ON)
option(USE_MAP "Enable the map module." ON)
option(USE_LUA "Enable Lua scripting support." OFF)
option(USE_BUNDLED_LUA "Use bundled Lua source instead of system library." OFF)
option(USE_KWALLET "Enable kwallet password storage backend." ON)
option(USE_LIBSECRET "Enable libsecret password storage backend." ON)
option(USE_OPENMP "Enable OpenMP threading support." ON)
option(USE_OPENCL "Enable OpenCL support." ON)
option(USE_GRAPHICSMAGICK "Use GraphicsMagick library for image import." ON)
option(USE_IMAGEMAGICK "Use ImageMagick library for image import." OFF)
option(USE_DARKTABLE_PROFILING OFF)
option(CUSTOM_CFLAGS "Don't override compiler optimization flags." OFF)
option(BINARY_PACKAGE_BUILD "Set march optimization to generic." OFF)
option(USE_XMLLINT "Run xmllint to test if anselconfig.xml is valid." ON)
option(USE_OPENJPEG "Enable JPEG 2000 support." ON)
option(USE_WEBP "Enable WebP support." ON)
option(USE_AVIF "Enable AVIF support." ON)
option(USE_HEIF "Enable HEIF/HEIC support." ON)
option(USE_XCF "Enable XCF support." ON)
option(USE_ISOBMFF "Enable ISOBMFF support." ON)
option(USE_LIBRAW "Enable LibRaw support." ON)
option(USE_BUNDLED_LIBRAW "Use bundled LibRaw source instead of system library." ON)
option(BUILD_CMSTEST "Build a test program to check your system's color management setup." ON)
option(USE_OPENEXR "Enable OpenEXR support." ON)
option(BUILD_PRINT "Enable the print module." ON)
option(BUILD_RS_IDENTIFY "Build the ansel-rs-identify debug aid." ON)
option(BUILD_SSE2_CODEPATHS "(EXPERIMENTAL OPTION, DO NOT DISABLE) Enable SSE2-optimized codepaths." ON)
option(VALIDATE_APPDATA_FILE "Use appstream-util (if found) to validate the appdata file." OFF)
option(BUILD_MSYS2_INSTALL "Build an MSYS2 version of the install, aka for Windows platform, but without dependency installs." OFF)
option(BUILD_NOISE_TOOLS "Build tools for generating noise profiles." OFF)
option(BUILD_CURVE_TOOLS "Build tools for generating base and tone curves." OFF)
option(USE_LENSFUN "Enable LensFun support." ON)
option(USE_GMIC "Enable G'MIC image processing framework." ON)
option(USE_ICU "Enable ICU - International Components for Unicode." ON)
option(FORCE_COLORED_OUTPUT "Always produce ANSI-colored output (GNU/Clang only)." ON)

if(USE_OPENCL)
  option(TESTBUILD_OPENCL_PROGRAMS "Test-compile opencl programs (needs llvm and clang 3.9+)." ON)
else()
  set(TESTBUILD_OPENCL_PROGRAMS OFF)
endif()

if(APPLE)
  option(USE_MAC_INTEGRATION "Enable OS X integration." ON)
else(APPLE)
  set(USE_MAC_INTEGRATION OFF)
endif(APPLE)
